# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define name    amsn
%define version 0.96
%define release 3.2007mcnl
%define summary MSN Messenger for Linux
%define section Internet/Instant messaging

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
URL:            http://amsn.sourceforge.net/
License:        GPL
Group:          %{section}
Source0:        %{name}-%{version}.tar.bz2
#Patch0:		amsn-settings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires: imlib distcc-client tcl tk tclx libtcltls-devel
Requires: sox tcl >= 8.4.2 tk >= 8.4.2 libtcltls1.50 imlib >= 1.8.2 ImageMagick

%description
aMSN : Alvaro's Messenger, or Another MSN messenger clone

This project is a modified and multilanguage version of Compu's Messenger (CCMSN).It's a Tcl/Tk script as was CCMSN and Tcl/Tk must be installed to run it. This means it is multiplatform and can run on any OS having Tcl/Tk installed (Linux, Windows, Macintosh).

It's a clone of the original MSN Messenger, having the same look and feel.

Some additional features exist such as on event alarms, history and we are working on more features. It is currently fairly complete with features such as :

- Sound for Events
- Look and Feel similar to original MSN Messenger
- Multilanguage (Around 40 languages currently supported)
- Running multiple instances of AMSN at once for multiple logins
- File Transfers
- Group Support
- Normal and Animated Emoticons with sounds
- Chat History
- On Event Alarms
- Conferencing Support
- Full Proxy Support
- Docking for Gnome1 and FreeDesktop (Gnome2/KDE3)
- Font configuration
- Profiles for separate configuration per login
- AutoAway Messages
- Manual Allow/Block/Contact/Reverse lists manipulation
- Remote Control
- Ability to detect contacts who removed you from their list
- No censorship on nicknames
- Support for Buddy Icons and MSN6 File Transfers (through server)
- Very extensive preferences allows high level of customisation
- A few more small features...

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q 


%install

%configure --prefix=/usr
%make

#icons
%define  nameicon icons/128x128/aMSN_128.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

mkdir -p %buildroot/usr/share/{amsn/plugins/,amsn/utils/{linux/capture,linux/traydock,webcamsn,TkCximage}}
mkdir -p %buildroot/usr/bin

cp -r skins %{buildroot}/usr/share/%name/
cp -r lang %{buildroot}/usr/share/%name/
cp -r docs %{buildroot}/usr/share/%name/
cp amsn %{buildroot}/usr/share/%name/
cp amsn-r* %{buildroot}/usr/share/%name/
cp hotmlog.htm %{buildroot}/usr/share/%name/
cp langlist %{buildroot}/usr/share/%name/
cp sndplay %{buildroot}/usr/share/%name/
cp *.tcl %{buildroot}/usr/share/%name/

cp -r utils/base64 %{buildroot}/usr/share/%name/utils
cp -r utils/BWidget* %{buildroot}/usr/share/%name/utils
cp -r utils/combobox %{buildroot}/usr/share/%name/utils
cp -r utils/contentmanager %{buildroot}/usr/share/%name/utils
cp -r utils/dpbrowser %{buildroot}/usr/share/%name/utils
cp -r utils/drawboard %{buildroot}/usr/share/%name/utils
cp -r utils/framec %{buildroot}/usr/share/%name/utils
cp -r utils/http2.4 %{buildroot}/usr/share/%name/utils

cp -r utils/linux/capture/*.so %{buildroot}/usr/share/%name/utils/linux/capture
cp -r utils/linux/capture/*.tcl %{buildroot}/usr/share/%name/utils/linux/capture
cp -r utils/linux/linflash/*.so %{buildroot}/usr/share/%name/utils/linux/linflash
cp -r utils/linux/linflash/*.tcl %{buildroot}/usr/share/%name/utils/linux/linflash
cp -r utils/linux/traydock/*.so %{buildroot}/usr/share/%name/utils/linux/traydock
cp -r utils/linux/traydock/*.tcl %{buildroot}/usr/share/%name/utils/linux/traydock

cp -r utils/log %{buildroot}/usr/share/%name/utils
cp -r utils/pixmap* %{buildroot}/usr/share/%name/utils
cp -r utils/scalable-bg %{buildroot}/usr/share/%name/utils
cp -r utils/sha1 %{buildroot}/usr/share/%name/utils
cp -r utils/snit %{buildroot}/usr/share/%name/utils
cp -r utils/tcldom %{buildroot}/usr/share/%name/utils
cp -r utils/tclsoap* %{buildroot}/usr/share/%name/utils
cp -r utils/Tclxml %{buildroot}/usr/share/%name/utils
cp -r utils/TkCximage/demos %{buildroot}/usr/share/%name/utils/TkCximage
cp -r utils/TkCximage/TkCximage.so %{buildroot}/usr/share/%name/utils/TkCximage
cp -r utils/toolbar %{buildroot}/usr/share/%name/utils
cp -r utils/uri %{buildroot}/usr/share/%name/utils
cp -r utils/webcamsn/*.tcl %{buildroot}/usr/share/%name/utils/webcamsn
cp -r utils/webcamsn/*.so %{buildroot}/usr/share/%name/utils/webcamsn
cp -r utils/webcamsn/README %{buildroot}/usr/share/%name/utils/webcamsn

cp -r plugins/Nudge %{buildroot}/usr/share/%name/plugins
cp -r plugins/WebcamShooter %{buildroot}/usr/share/%name/plugins
cp -r plugins/inkdraw %{buildroot}/usr/share/%name/plugins
cp -r plugins/remind %{buildroot}/usr/share/%name/plugins

%{__ln_s} -f "%{_datadir}/amsn/amsn" "${RPM_BUILD_ROOT}%{_bindir}/amsn"

# Menu 2006
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="Internet/Instant Messaging" \
title="Amsn" \
longtitle="%summary"
EOF

# Menu 2007
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=aMSN
Comment=MSN Messenger for Linux
Comment[fr]=MSN Messenger pour Linux
Comment[de]=MSN Messenger fr Linux
Comment[nl]=MSN Messenger voor Linux
Comment[no]=MSN Messenger for Linux
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-InstantMessaging
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%doc README FAQ TODO GNUGPL CREDITS HELP remote.help

%{_menudir}/%{name}
%{_datadir}/applications/amsn.desktop

%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

%attr(755,root,root)%{_bindir}/%name
%attr(755,root,root)%{_datadir}/%{name}


%changelog 
* Sat Dec 30 2006 Marco Meijer <marco@mandrivaclub.nl> 0.96-3.2007mcnl
- fixed dependencie problem with libtcltls

* Sun Nov 26 2006 Marco Meijer <marco@mandrivaclub.nl> 0.96-1.2007mcnl
- new version

* Mon Dec 26 2005 Marco Meijer <marco@mandrivaclub.nl> 0.95-2.2006mcnl
- new version

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 051016-0.1cvs.2006mcnl
- new version

* Sun Sep 18 2005 Marco Meijer, <marco@mandrivaclub.nl> 050918-0.1cvs.2006mcnl
new version

* Wed Aug 09 2005 Marco Meijer, <marco@mandrivaclub.nl> 050809-0.1cvs.102mcnl
new version

* Wed Jun 29 2005 Marco Meijer, <marco@mandrivaclub.nl> 050629-0.1cvs.102mcnl
new version

* Mon May 10 2005 Marco Meijer, <marco@mandrivaclub.nl> 050510-0.1cvs.101mcnl
test versie 2

* Mon May 09 2005 Marco Meijer, <marco@mandrivaclub.nl> 050509-0.1cvs.101mcnl
test versie

* Mon Feb 07 2005 Marco Meijer, <marco@mandrivaclub.nl> 0.94-1.101mcnl
Mandrakelinux 10.1 versie



